### SetGlobal

Category

Flow Control

Function

Places an object in the cache.

Syntax

    SetGlobal(object, link);

Inputs

Name | Type | Default | Description
--- | --- | --- | ---
`object` | object | no default | object to be cached
`link` | string | no default | link to corresponding GetGlobal module

Functional Details

This module works with GetGlobal to place and retrieve objects from the cache: SetGlobal places an `object` in the cache, where GetGlobal can retrieve it. SetGlobal should always be used with GetGlobal, not with GetLocal.

Note: The corresponding GetGlobal module must be executed on the same machine (i.e., it cannot be distributed to another machine). See GetGlobal and GetLocal for a discussion of the differences between the Global Get/Set pair and the Local Get/Set pair.

`object` | is the object to be placed in the cache.
`link` | specifies the GetGlobal module that corresponds to the SetGlobal module. In the VPE, this link would be created by dragging an arc from the `link` output of GetGlobal to the `link` input of SetGlobal.

A detailed description of the behavior and use of the GetLocal, GetGlobal, SetLocal, and SetGlobal modules can be found in 4.6 , "Preserving Explicit State" in IBM Visualization Data Explorer User's Guide.

Example Visual Programs

    SIMPLE/GetSet.net

See Also

GetGlobal, GetLocal, SetLocal

Chapter 4. "Data Explorer Execution Model" in IBM Visualization Data Explorer User's Guide.

[ OpenDX Home at IBM | OpenDX.org ]